Subject: Re: Segfault on broken shebangs in .do files

From: Sergey Matveev <[email-masked]>
Date: Thu, 14 Oct 2021 13:35:04 +0300

Greetings!

*** goredo [2021-10-14 07:18]:
>when executing .do files, i.e., a shell script that is executable, redo dies ungracefully when the shebang line is broken. I had a different comment in the first line in the file.

Unfortunately either I do not understand the problem, or I can not
reproduce unexpected behaviour. I tried to "redo f.do", where f.do is
executable file with missing shebangs, shebangs leading to unexistent
files, with failing programs, and redo gives an ordinary error and bad
return code. Can you describe the problem more?

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF